package org.apache.bcel.verifier;

import java.awt.Color;
import java.awt.Dialog;
import java.awt.Frame;
import java.awt.LayoutManager;
import java.awt.SystemColor;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import org.apache.bcel.Repository;
import org.apache.bcel.classfile.Utility;

/* loaded from: org_apache_bcel_verifier.jar:org/apache/bcel/verifier/VerifyDialog.class */
public class VerifyDialog extends JDialog {
    private static final long serialVersionUID = -6374807677043142313L;
    private static int classesToVerify;
    private JPanel ivjJDialogContentPane;
    private JPanel ivjPass1Panel;
    private JPanel ivjPass2Panel;
    private JPanel ivjPass3Panel;
    private JButton ivjPass1Button;
    private JButton ivjPass2Button;
    private JButton ivjPass3Button;
    private final IvjEventHandler ivjEventHandler;
    private String className;
    private JButton ivjFlushButton;

    static /* synthetic */ int access$810() {
        int i = classesToVerify;
        classesToVerify = i - 1;
        return i;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: org_apache_bcel_verifier.jar:org/apache/bcel/verifier/VerifyDialog$IvjEventHandler.class */
    public class IvjEventHandler implements ActionListener {
        IvjEventHandler() {
        }

        public void actionPerformed(ActionEvent e) {
            if (e.getSource() == VerifyDialog.this.getPass1Button()) {
                VerifyDialog.this.connEtoC1(e);
            }
            if (e.getSource() == VerifyDialog.this.getPass2Button()) {
                VerifyDialog.this.connEtoC2(e);
            }
            if (e.getSource() == VerifyDialog.this.getPass3Button()) {
                VerifyDialog.this.connEtoC3(e);
            }
            if (e.getSource() == VerifyDialog.this.getFlushButton()) {
                VerifyDialog.this.connEtoC4(e);
            }
        }
    }

    public static void main(String[] args) {
        classesToVerify = args.length;
        for (String arg : args) {
            try {
                VerifyDialog aVerifyDialog = new VerifyDialog(arg);
                aVerifyDialog.setModal(true);
                aVerifyDialog.addWindowListener(new WindowAdapter() { // from class: org.apache.bcel.verifier.VerifyDialog.1
                    public void windowClosing(WindowEvent e) {
                        VerifyDialog.access$810();
                        if (VerifyDialog.classesToVerify == 0) {
                            System.exit(0);
                        }
                    }
                });
                aVerifyDialog.setVisible(true);
            } catch (Throwable exception) {
                System.err.println("Exception occurred in main() of JDialog");
                exception.printStackTrace(System.out);
            }
        }
    }

    public VerifyDialog() {
        this.ivjEventHandler = new IvjEventHandler();
        this.className = "java.lang.Object";
        initialize();
    }

    public VerifyDialog(Dialog owner) {
        super(owner);
        this.ivjEventHandler = new IvjEventHandler();
        this.className = "java.lang.Object";
    }

    public VerifyDialog(Dialog owner, boolean modal) {
        super(owner, modal);
        this.ivjEventHandler = new IvjEventHandler();
        this.className = "java.lang.Object";
    }

    public VerifyDialog(Dialog owner, String title) {
        super(owner, title);
        this.ivjEventHandler = new IvjEventHandler();
        this.className = "java.lang.Object";
    }

    public VerifyDialog(Dialog owner, String title, boolean modal) {
        super(owner, title, modal);
        this.ivjEventHandler = new IvjEventHandler();
        this.className = "java.lang.Object";
    }

    public VerifyDialog(Frame owner) {
        super(owner);
        this.ivjEventHandler = new IvjEventHandler();
        this.className = "java.lang.Object";
    }

    public VerifyDialog(Frame owner, boolean modal) {
        super(owner, modal);
        this.ivjEventHandler = new IvjEventHandler();
        this.className = "java.lang.Object";
    }

    public VerifyDialog(Frame owner, String title) {
        super(owner, title);
        this.ivjEventHandler = new IvjEventHandler();
        this.className = "java.lang.Object";
    }

    public VerifyDialog(Frame owner, String title, boolean modal) {
        super(owner, title, modal);
        this.ivjEventHandler = new IvjEventHandler();
        this.className = "java.lang.Object";
    }

    public VerifyDialog(String fullyQualifiedClassName) {
        this.ivjEventHandler = new IvjEventHandler();
        this.className = "java.lang.Object";
        int dotclasspos = fullyQualifiedClassName.lastIndexOf(".class");
        this.className = Utility.pathToPackage(dotclasspos != -1 ? fullyQualifiedClassName.substring(0, dotclasspos) : fullyQualifiedClassName);
        initialize();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void connEtoC1(ActionEvent arg1) {
        try {
            pass1Button_ActionPerformed(arg1);
        } catch (Throwable ivjExc) {
            handleException(ivjExc);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void connEtoC2(ActionEvent arg1) {
        try {
            pass2Button_ActionPerformed(arg1);
        } catch (Throwable ivjExc) {
            handleException(ivjExc);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void connEtoC3(ActionEvent arg1) {
        try {
            pass4Button_ActionPerformed(arg1);
        } catch (Throwable ivjExc) {
            handleException(ivjExc);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void connEtoC4(ActionEvent arg1) {
        try {
            flushButton_ActionPerformed(arg1);
        } catch (Throwable ivjExc) {
            handleException(ivjExc);
        }
    }

    public void flushButton_ActionPerformed(ActionEvent actionEvent) {
        VerifierFactory.getVerifier(this.className).flush();
        Repository.removeClass(this.className);
        getPass1Panel().setBackground(Color.gray);
        getPass1Panel().repaint();
        getPass2Panel().setBackground(Color.gray);
        getPass2Panel().repaint();
        getPass3Panel().setBackground(Color.gray);
        getPass3Panel().repaint();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public JButton getFlushButton() {
        if (this.ivjFlushButton == null) {
            try {
                this.ivjFlushButton = new JButton();
                this.ivjFlushButton.setName("FlushButton");
                this.ivjFlushButton.setText("Flush: Forget old verification results");
                this.ivjFlushButton.setBackground(SystemColor.controlHighlight);
                this.ivjFlushButton.setBounds(60, 215, 300, 30);
                this.ivjFlushButton.setForeground(Color.red);
                this.ivjFlushButton.setActionCommand("FlushButton");
            } catch (Throwable ivjExc) {
                handleException(ivjExc);
            }
        }
        return this.ivjFlushButton;
    }

    private JPanel getJDialogContentPane() {
        if (this.ivjJDialogContentPane == null) {
            try {
                this.ivjJDialogContentPane = new JPanel();
                this.ivjJDialogContentPane.setName("JDialogContentPane");
                this.ivjJDialogContentPane.setLayout((LayoutManager) null);
                getJDialogContentPane().add(getPass1Panel(), getPass1Panel().getName());
                getJDialogContentPane().add(getPass3Panel(), getPass3Panel().getName());
                getJDialogContentPane().add(getPass2Panel(), getPass2Panel().getName());
                getJDialogContentPane().add(getPass1Button(), getPass1Button().getName());
                getJDialogContentPane().add(getPass2Button(), getPass2Button().getName());
                getJDialogContentPane().add(getPass3Button(), getPass3Button().getName());
                getJDialogContentPane().add(getFlushButton(), getFlushButton().getName());
            } catch (Throwable ivjExc) {
                handleException(ivjExc);
            }
        }
        return this.ivjJDialogContentPane;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public JButton getPass1Button() {
        if (this.ivjPass1Button == null) {
            try {
                this.ivjPass1Button = new JButton();
                this.ivjPass1Button.setName("Pass1Button");
                this.ivjPass1Button.setText("Pass1: Verify binary layout of .class file");
                this.ivjPass1Button.setBackground(SystemColor.controlHighlight);
                this.ivjPass1Button.setBounds(100, 40, 300, 30);
                this.ivjPass1Button.setActionCommand("Button1");
            } catch (Throwable ivjExc) {
                handleException(ivjExc);
            }
        }
        return this.ivjPass1Button;
    }

    private JPanel getPass1Panel() {
        if (this.ivjPass1Panel == null) {
            try {
                this.ivjPass1Panel = new JPanel();
                this.ivjPass1Panel.setName("Pass1Panel");
                this.ivjPass1Panel.setLayout((LayoutManager) null);
                this.ivjPass1Panel.setBackground(SystemColor.controlShadow);
                this.ivjPass1Panel.setBounds(30, 30, 50, 50);
            } catch (Throwable ivjExc) {
                handleException(ivjExc);
            }
        }
        return this.ivjPass1Panel;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public JButton getPass2Button() {
        if (this.ivjPass2Button == null) {
            try {
                this.ivjPass2Button = new JButton();
                this.ivjPass2Button.setName("Pass2Button");
                this.ivjPass2Button.setText("Pass 2: Verify static .class file constraints");
                this.ivjPass2Button.setBackground(SystemColor.controlHighlight);
                this.ivjPass2Button.setBounds(100, 100, 300, 30);
                this.ivjPass2Button.setActionCommand("Button2");
            } catch (Throwable ivjExc) {
                handleException(ivjExc);
            }
        }
        return this.ivjPass2Button;
    }

    private JPanel getPass2Panel() {
        if (this.ivjPass2Panel == null) {
            try {
                this.ivjPass2Panel = new JPanel();
                this.ivjPass2Panel.setName("Pass2Panel");
                this.ivjPass2Panel.setLayout((LayoutManager) null);
                this.ivjPass2Panel.setBackground(SystemColor.controlShadow);
                this.ivjPass2Panel.setBounds(30, 90, 50, 50);
            } catch (Throwable ivjExc) {
                handleException(ivjExc);
            }
        }
        return this.ivjPass2Panel;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public JButton getPass3Button() {
        if (this.ivjPass3Button == null) {
            try {
                this.ivjPass3Button = new JButton();
                this.ivjPass3Button.setName("Pass3Button");
                this.ivjPass3Button.setText("Passes 3a+3b: Verify code arrays");
                this.ivjPass3Button.setBackground(SystemColor.controlHighlight);
                this.ivjPass3Button.setBounds(100, 160, 300, 30);
                this.ivjPass3Button.setActionCommand("Button2");
            } catch (Throwable ivjExc) {
                handleException(ivjExc);
            }
        }
        return this.ivjPass3Button;
    }

    private JPanel getPass3Panel() {
        if (this.ivjPass3Panel == null) {
            try {
                this.ivjPass3Panel = new JPanel();
                this.ivjPass3Panel.setName("Pass3Panel");
                this.ivjPass3Panel.setLayout((LayoutManager) null);
                this.ivjPass3Panel.setBackground(SystemColor.controlShadow);
                this.ivjPass3Panel.setBounds(30, 150, 50, 50);
            } catch (Throwable ivjExc) {
                handleException(ivjExc);
            }
        }
        return this.ivjPass3Panel;
    }

    private void handleException(Throwable exception) {
        System.out.println("--------- UNCAUGHT EXCEPTION ---------");
        exception.printStackTrace(System.out);
        if (exception instanceof ThreadDeath) {
            throw ((ThreadDeath) exception);
        }
        if (exception instanceof VirtualMachineError) {
            throw ((VirtualMachineError) exception);
        }
    }

    private void initConnections() {
        getPass1Button().addActionListener(this.ivjEventHandler);
        getPass2Button().addActionListener(this.ivjEventHandler);
        getPass3Button().addActionListener(this.ivjEventHandler);
        getFlushButton().addActionListener(this.ivjEventHandler);
    }

    private void initialize() {
        try {
            setName("VerifyDialog");
            setDefaultCloseOperation(2);
            setSize(430, 280);
            setVisible(true);
            setModal(true);
            setResizable(false);
            setContentPane(getJDialogContentPane());
            initConnections();
        } catch (Throwable ivjExc) {
            handleException(ivjExc);
        }
        setTitle("'" + this.className + "' verification - JustIce / BCEL");
    }

    public void pass1Button_ActionPerformed(ActionEvent actionEvent) {
        Verifier v = VerifierFactory.getVerifier(this.className);
        VerificationResult vr = v.doPass1();
        if (vr.getStatus() == 1) {
            getPass1Panel().setBackground(Color.green);
            getPass1Panel().repaint();
        }
        if (vr.getStatus() == 2) {
            getPass1Panel().setBackground(Color.red);
            getPass1Panel().repaint();
        }
    }

    public void pass2Button_ActionPerformed(ActionEvent actionEvent) {
        pass1Button_ActionPerformed(actionEvent);
        Verifier v = VerifierFactory.getVerifier(this.className);
        VerificationResult vr = v.doPass2();
        if (vr.getStatus() == 1) {
            getPass2Panel().setBackground(Color.green);
            getPass2Panel().repaint();
        }
        if (vr.getStatus() == 0) {
            getPass2Panel().setBackground(Color.yellow);
            getPass2Panel().repaint();
        }
        if (vr.getStatus() == 2) {
            getPass2Panel().setBackground(Color.red);
            getPass2Panel().repaint();
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:12:0x004f, code lost:
    
        r5 = java.awt.Color.red;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void pass4Button_ActionPerformed(java.awt.event.ActionEvent r4) {
        /*
            r3 = this;
            r0 = r3
            r1 = r4
            r0.pass2Button_ActionPerformed(r1)
            java.awt.Color r0 = java.awt.Color.green
            r5 = r0
            r0 = r3
            java.lang.String r0 = r0.className
            org.apache.bcel.verifier.Verifier r0 = org.apache.bcel.verifier.VerifierFactory.getVerifier(r0)
            r6 = r0
            r0 = r6
            org.apache.bcel.verifier.VerificationResult r0 = r0.doPass2()
            r7 = r0
            r0 = r7
            int r0 = r0.getStatus()
            r1 = 1
            if (r0 != r1) goto L69
            r0 = 0
            r8 = r0
            r0 = r3
            java.lang.String r0 = r0.className     // Catch: java.lang.ClassNotFoundException -> L5f
            org.apache.bcel.classfile.JavaClass r0 = org.apache.bcel.Repository.lookupClass(r0)     // Catch: java.lang.ClassNotFoundException -> L5f
            r8 = r0
            r0 = r8
            org.apache.bcel.classfile.Method[] r0 = r0.getMethods()     // Catch: java.lang.ClassNotFoundException -> L5f
            int r0 = r0.length     // Catch: java.lang.ClassNotFoundException -> L5f
            r9 = r0
            r0 = 0
            r10 = r0
        L37:
            r0 = r10
            r1 = r9
            if (r0 >= r1) goto L5c
            r0 = r6
            r1 = r10
            org.apache.bcel.verifier.VerificationResult r0 = r0.doPass3b(r1)     // Catch: java.lang.ClassNotFoundException -> L5f
            r7 = r0
            r0 = r7
            int r0 = r0.getStatus()     // Catch: java.lang.ClassNotFoundException -> L5f
            r1 = 1
            if (r0 == r1) goto L56
            java.awt.Color r0 = java.awt.Color.red     // Catch: java.lang.ClassNotFoundException -> L5f
            r5 = r0
            goto L5c
        L56:
            int r10 = r10 + 1
            goto L37
        L5c:
            goto L66
        L5f:
            r9 = move-exception
            r0 = r9
            r0.printStackTrace()
        L66:
            goto L6d
        L69:
            java.awt.Color r0 = java.awt.Color.yellow
            r5 = r0
        L6d:
            r0 = r3
            javax.swing.JPanel r0 = r0.getPass3Panel()
            r1 = r5
            r0.setBackground(r1)
            r0 = r3
            javax.swing.JPanel r0 = r0.getPass3Panel()
            r0.repaint()
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: org.apache.bcel.verifier.VerifyDialog.pass4Button_ActionPerformed(java.awt.event.ActionEvent):void");
    }
}
